The campaigns and platforms the content endpoints can filter by
GET
/api/public/v1/content/filtersLiveAnswers from your brand's records now.
Operation id getContentFilters
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/content/filters" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.campaigns | array of object | |
| data.campaigns[].[].creator_name | string, nullable | |
| data.campaigns[].[].id | integer | |
| data.campaigns[].[].kind | string | |
| data.campaigns[].[].name | string | |
| data.campaigns[].[].organization_id | integer | |
| data.campaigns[].[].organization_name | string, nullable | |
| data.campaigns[].[].status | string | |
| data.campaigns[].[].uuid | string, nullable | |
| data.organization | object | |
| data.organization.id | integer | |
| data.organization.is_parent | boolean | |
| data.organization.name | string | |
| data.platforms | array of string | |
| success | boolean |
Example
{
"data": {
"campaigns": [
{
"creator_name": "Example name",
"id": 1024,
"kind": "string",
"name": "Example name",
"organization_id": 1024,
"organization_name": "Example name",
"status": "string",
"uuid": "string"
}
],
"organization": {
"id": 1024,
"is_parent": true,
"name": "Example name"
},
"platforms": [
"string"
]
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.